%{!?pyver: %define pyver %(%{__python} -c 'import sys;print(sys.version[0:3])')}
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pydir: %define pydir %(%{__python} -c "from distutils.sysconfig import get_config_vars; print get_config_vars()['LIBDEST']")}

Summary: Write Postfix mail log entries into the SQL database
Name: mailsql
Version: 1.2.1
Release: 4
License: GPL
Source: http://kmlinux.fjfi.cvut.cz/~vokac/activities/%{name}/%{name}-%{version}.tar.gz
Group: Networking/Daemons
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch
Requires: MySQL-python

%description
This daemon write Postfix mail log entries into the SQL database.


%prep
%setup


%build
#python setup.py build


%install
[ ! -z "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != '/' ] && rm -rf "$RPM_BUILD_ROOT"

#python setup.py install --optimize=2 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

#install -p -D -m644 mailsql.conf $RPM_BUILD_ROOT%{_sysconfdir}/mailsql.conf
install -p -D -m755 mailsql.init $RPM_BUILD_ROOT%{_sysconfdir}/init.d/mailsql
install -p -D -m644 mailsql.sysconfig $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/mailsql
install -p -D -m755 mailsql.py $RPM_BUILD_ROOT%{_sbindir}/mailsql
#install -d $RPM_BUILD_ROOT%{_var}/log/mailsql


%clean
[ ! -z "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != '/' ] && rm -rf "$RPM_BUILD_ROOT"


%post
#exec &>/dev/null
# Adding mailsql config
if [ $1 = 2 ]; then # upgrade
  # restart mailsql
  echo /etc/init.d/mailsql restart || true
else # install
  if [ -x /sbin/chkconfig ]; then
    /sbin/chkconfig --add mailsql
    #/sbin/chkconfig --level 2345 mailsql
  fi
  # start mailsql
  #/etc/init.d/mailsql start || true
cat << EOF
  add data to MySQL:
  mysql -u root -p < mailsql.sql
EOF
fi

%preun
#exec &>/dev/null
if [ $1 = 0 ]; then # uninstall
  if [ -x /sbin/chkconfig ]; then
    /etc/init.d/mailsql stop
    /sbin/chkconfig --del mailsql
  fi
fi


%files
%defattr(-,root,root)
%doc NEWS README TODO mailsql*sql
%config(noreplace) %{_sysconfdir}/sysconfig/mailsql
%{_sysconfdir}/init.d/*
%{_sbindir}/*
#%attr(-,nobody,nobody) %{_var}/log/mailsql


%changelog
* Mon Jan 16 2007 Petr Vokac <vokac@kmlinux.fjfi.cvut.cz> 0.9.0-0
- initial release